@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

:root {
    --primary-color: #fdf4ef;
    --secondary-color: #2b4526;
    --background-color: #fdf4ef;
}

body {

    margin:0;
    padding:0;
    font-family: "Open Sans", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-variation-settings:
        "wdth" 100;
    background-color: var(--background-color);

}

a {

    text-decoration: none;
    color: inherit;
    height: fit-content;

}

.btn-white {

    background-color: #daa839;
    color: var(--primary-color);
    border: none;
    padding: 0.5rem 1rem;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
    font-family: inherit;

}

.btn-primary {

    background-color: #daa839;
    color: white;
    border: none;
    padding: 0.5rem 1rem;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
    font-family: inherit;

}

.btn-secondary {

    background-color: var(--secondary-color);
    color: white;
    border: none;
    padding: 0.5rem 1rem;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
    font-family: inherit;

}   

.primary-bg {

    background-color: var(--primary-color);
    color: black;

}

.secondary-bg {

    background-color: var(--secondary-color);
    color: white;

}

nav {

    background-color: var(--primary-color);
    color: black;
    position: sticky;
    border-bottom:1px solid var(--secondary-color); 
    top: 0;
    z-index: 1000;

}

.inner-nav {

    max-width: 1100px;
    padding: 0.5rem 1rem;
    box-sizing: border-box;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;

}

.nav-left {

    display: flex;
    align-items: center;
    gap: 1rem;

}

.nav-ul {

    list-style: none;
    display: flex;
    gap: 1.5rem;
    margin: 0;
    padding: 0;

}

.nav-right {

    display: flex;
    gap: 10px;

}

#nav-mobile {

    display: none;

}

@media (max-width: 900px) {

    #nav {

        display: none;

    }

    #nav-mobile {

        display: flex;

    }

}

header {

    background-color: var(--primary-color);
    color: black;

}

.inner-section {

    max-width: 1100px;
    margin: 0 auto;
    padding: 2rem 1.5rem;
    box-sizing: border-box;

}

.col-wrapper {

    display: flex;
    gap: 2rem;
    flex-wrap: wrap;
    align-items: center;

}

.col-2 {

    flex: 1 1 45%;

}

.col-3 {

    flex: 1 1 30%;

}

@media (max-width: 900px) {

    .col-wrapper {

        gap:20px;

    }

    .col-wrapper-reverse {

        flex-direction: column-reverse;

    }

    .col-2, .col-3 {

        flex: 1 1 100%;

    }

}


.header-title {

    margin: 0 0 1rem 0;
    font-size: 2.5rem;

}

.header-p {

    margin: 0;
    font-size: 1.2rem;

}

.inner-footer {
    max-width: 1100px;
    margin: 0 auto;
    padding: 2rem 1rem;
    gap:20px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

/* Container horizontal */
.avis-horizontal {
    margin-top: 40px;
    overflow: hidden;
    position: relative;
}

/* Track scroll */
.avis-track {
    display: flex;
    gap: 20px;
    width: max-content;
    animation: scroll-avis 30s linear infinite;
}

/* Carte avis */
.avis-card {
    background: white;
    border-radius: 16px;
    padding: 24px;
    color:black;
    min-height: 140px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    max-width: 300px;
}

/* Texte */
.avis-card p {
    font-size: 15px;
    line-height: 1.6;
}

/* Auteur */
.avis-card span {
    margin-top: 16px;
    font-size: 14px;
    font-weight: 600;
    color: var(--secondary-color);
}

/* Animation infinie */
@keyframes scroll-avis {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}
/* Fade gauche / droite */
.avis-horizontal::before,
.avis-horizontal::after {
    content: "";
    position: absolute;
    top: 0;
    width: 20px;
    height: 100%;
    z-index: 2;
    pointer-events: none;
}

/* Fade gauche */
.avis-horizontal::before {
    left: 0;
    background: linear-gradient(
        to right,
        var(--primary-color) 0%,
        rgba(0, 0, 0, 0) 100%
    );
}

/* Fade droite */
.avis-horizontal::after {
    right: 0;
    background: linear-gradient(
        to left,
        var(--primary-color) 0%,
        rgba(0, 33, 71, 0) 100%
    );
}
